Debian Bug report logs - #672527
qtcreator: FTBFS[kfreebsd-*] linker error

version graph

Package: src:qtcreator; Maintainer for src:qtcreator is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Fri, 11 May 2012 19:45:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version qtcreator/2.5.0~rc-1

Fixed in version qtcreator/2.5.0-1

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#672527; Package src:qtcreator. (Fri, 11 May 2012 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Fri, 11 May 2012 19:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: qtcreator: FTBFS[kfreebsd-*] linker error
Date: Fri, 11 May 2012 21:42:39 +0200
Package: src:qtcreator
Version: 2.5.0~rc-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

dpkg-shlibdeps: error: couldn't find library libAggregation.so.1 needed by debian/qtcreator/usr/lib/x86_64-kfreebsd-gnu/qtcreator/plugins/Nokia/libTaskList.so (ELF format: 'elf64-x86-64-freebsd'; RPATH: '').
dpkg-shlibdeps: error: couldn't find library libExtensionSystem.so.1 needed by debian/qtcreator/usr/lib/x86_64-kfreebsd-gnu/qtcreator/plugins/Nokia/libTaskList.so (ELF format: 'elf64-x86-64-freebsd'; RPATH: '').
dpkg-shlibdeps: error: couldn't find library libBotan.so.1 needed by debian/qtcreator/usr/lib/x86_64-kfreebsd-gnu/qtcreator/plugins/Nokia/libTaskList.so (ELF format: 'elf64-x86-64-freebsd'; RPATH: '').
dpkg-shlibdeps: error: couldn't find library libUtils.so.1 needed by debian/qtcreator/usr/lib/x86_64-kfreebsd-gnu/qtcreator/plugins/Nokia/libTaskList.so (ELF format: 'elf64-x86-64-freebsd'; RPATH: '').

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=qtcreator&arch=kfreebsd-amd64&ver=2.5.0%7Erc-1&stamp=1335968064

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Added tag(s) pending. Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Sat, 19 May 2012 15:09:04 GMT) Full text and rfc822 format available.

Reply sent to Fathi Boudra <fabo@debian.org>:
You have taken responsibility. (Sat, 19 May 2012 17:12:16 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sat, 19 May 2012 17:12:16 GMT) Full text and rfc822 format available.

Message #12 received at 672527-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 672527-close@bugs.debian.org
Subject: Bug#672527: fixed in qtcreator 2.5.0-1
Date: Sat, 19 May 2012 17:09:14 +0000
Source: qtcreator
Source-Version: 2.5.0-1

We believe that the bug you reported is fixed in the latest version of
qtcreator, which is due to be installed in the Debian FTP archive:

qtcreator-dbg_2.5.0-1_amd64.deb
  to main/q/qtcreator/qtcreator-dbg_2.5.0-1_amd64.deb
qtcreator-doc_2.5.0-1_all.deb
  to main/q/qtcreator/qtcreator-doc_2.5.0-1_all.deb
qtcreator_2.5.0-1.debian.tar.gz
  to main/q/qtcreator/qtcreator_2.5.0-1.debian.tar.gz
qtcreator_2.5.0-1.dsc
  to main/q/qtcreator/qtcreator_2.5.0-1.dsc
qtcreator_2.5.0-1_amd64.deb
  to main/q/qtcreator/qtcreator_2.5.0-1_amd64.deb
qtcreator_2.5.0.orig.tar.gz
  to main/q/qtcreator/qtcreator_2.5.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672527@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fabo@debian.org> (supplier of updated qtcreator package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 May 2012 21:57:24 +0300
Source: qtcreator
Binary: qtcreator qtcreator-dbg qtcreator-doc
Architecture: source amd64 all
Version: 2.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Fathi Boudra <fabo@debian.org>
Description: 
 qtcreator  - lightweight integrated development environment (IDE) for Qt
 qtcreator-dbg - debugging symbols for Qt Creator IDE
 qtcreator-doc - documentation for Qt Creator IDE
Closes: 672527
Changes: 
 qtcreator (2.5.0-1) unstable; urgency=low
 .
   * New upstream release.
 .
   [ Pino Toscano ]
   * Fix the installation of the upstream changelogs: use dh_installdocs
     for them, and install them only in qtcreator.
   * Build the documentation only when qtcreator-doc is being built too.
   * Remove unuseful ${shlibs:Depends} from qtcreator-dbg.
   * Enable RPATH also on kFreeBSD and Hurd; patch rpath_nonlinux.diff.
     (Closes: #672527)
Checksums-Sha1: 
 6b0cebf1f60ddc9a713a4db6ef934f0adbf99243 1709 qtcreator_2.5.0-1.dsc
 819b038601e00a7fa20443ca02558c1c30be8229 22848008 qtcreator_2.5.0.orig.tar.gz
 94d8f2f7f8ea21e17d114dec1fafbd8a59dfd20f 24025 qtcreator_2.5.0-1.debian.tar.gz
 a0f345103d7e1d75a0db1994f3507e9bc20f0435 17286408 qtcreator_2.5.0-1_amd64.deb
 a0c7e113d20e7fd42bad96adfaeb647c93914ca5 199736356 qtcreator-dbg_2.5.0-1_amd64.deb
 ee66063c138df635166780e6b2f71024a429000f 4018518 qtcreator-doc_2.5.0-1_all.deb
Checksums-Sha256: 
 663202caf91c06a8c5711cb85770df7ce28a5e44d0f25b7944f823e648c99c87 1709 qtcreator_2.5.0-1.dsc
 e7132ca5c489b567edd9c813d56182e4bb4b0037a71112036a2fbd8a76a327fa 22848008 qtcreator_2.5.0.orig.tar.gz
 bda39d1be88ec91f5d8f8025a31979eb744e9dfe0801d265fb4b74a7d476c397 24025 qtcreator_2.5.0-1.debian.tar.gz
 68468fe5709b48247e3341448a20b70f74636ed3c35d91a9dee708c5bed545b0 17286408 qtcreator_2.5.0-1_amd64.deb
 70c8e65d16fe022545020028b3ba7090a5b76a4591ac164cc8da36042dbad816 199736356 qtcreator-dbg_2.5.0-1_amd64.deb
 e76d2c911580ab1093bd156da076ad6e47a098ad55b00153c28a9db6be9e9bfa 4018518 qtcreator-doc_2.5.0-1_all.deb
Files: 
 de8f8f499c281db8c8c994ab0c64b801 1709 devel optional qtcreator_2.5.0-1.dsc
 31e26cdd1e3eeb8c406382ebe886dcc5 22848008 devel optional qtcreator_2.5.0.orig.tar.gz
 bb57e28d7a0ec95be45c9fe6d0901273 24025 devel optional qtcreator_2.5.0-1.debian.tar.gz
 3baee68eef5e1f76cf9752e790c32eeb 17286408 devel optional qtcreator_2.5.0-1_amd64.deb
 0ca062ce254bfe1db231d1230c2766b2 199736356 debug extra qtcreator-dbg_2.5.0-1_amd64.deb
 ee57daf5b9ef2b40ec0d83ee0eac0a1b 4018518 doc optional qtcreator-doc_2.5.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iJwEAQECAAYFAk+3zmoACgkQjPU19mqlcvf/TAP+I43PVQ6AoxKSjwFts8xZ84qM
5bSexHX2mnW42dqf4wTJuaK7GJ0oNoKY4L3IjEoP1tGixSqAsx804pCDv0I6OL8p
rQTAPXPllzezjftaWIM8VrkNeLkQBtbIGtOON9LNAfoaFL82Wsv4oekjXLqX8xNf
jtUOIizJ8t7arr+ysoU=
=kv2R
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2012 07:36:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:41:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.